Category Archives: Geen onderdeel van een categorie

Downloaden vanaf Usenet (ook wel eens downloaden uit nieuwsgroepen genoemd) is razendsnel Er zijn hier diverse programma’s beschikbaar, en het ene programma maakt het downloaden je nog makkelijker dan het andere.

CouchPotato installeren Debian via de command line

In deze handleiding CouchPotato installeren Debian. Gaan we CouchPotato installeren via de command line. Zodat films automatisch worden gedownload. Als de gewenste kwaliteit beschikbaar is.

CouchPotato benodigde software installeren

We moeten als eerste de software installeren die CouhPotato nodig heeft om goed te kunnen functioneren.

We moeten als eerste een update doen.

sudo apt-get update

Nu gaan we de benodigde software installeren.

sudo apt-get install git-core libffi-dev libssl-dev zlib1g-dev libxslt1-dev libxml2-dev python python-pip python-dev build-essential -y

Nog meer software installeren. (dit kan even duren)

sudo pip install lxml cryptography pyopenssl

CouchPotato downloaden en installeren. Naar de verborgen map couchpotato.

git clone https://github.com/RuudBurger/CouchPotatoServer.git ./couchpotato

Rechten goed zetten op de map couchpotato. Let op pas hier gebruikersnaam aan naar je eigen gebruiksnaam.

sudo chown -R gebruikersnaam:gebruikersnaam ./couchpotato

Nu nog controleren of CouchPotato gestart kan worden.

python ./couchpotato/CouchPotato.py –daemon

Je bent nu klaar met installatie van CouchPotato. Je kan CouchPotato benaderen via http://ip-adres:5050

CouchPotato automatich starten Debian

Het is natuurlijk als CouchPotato wordt gestart tijdens het booten. Dat gaan we nu dus regelen.

sudo nano /etc/default/couchpotato

Onderstaande kopieren en plakken in dit bestand. En pas hier 2 keer de gebruikersnaam aan. Naar die van je eigen gebruikers naam.

CP_HOME=./couchpotato
CP_USER=gebruikersnaam
CP_PIDFILE=/home/gebruikersnaam/.couchpotato.pid
CP_DATA=./couchpotato

Init.d scripit kopiëren.

sudo cp ./couchpotato/init/ubuntu /etc/init.d/couchpotato

Het script uitvoerbaar maken.

sudo chmod +x /etc/init.d/couchpotato

Het script activeren tijdens het starten.

sudo update-rc.d /etc/init.d/couchpotato defaults

Nu voor de zekerheid testen of het werkt. Dit doe je door de computer opnieuw op te starten.

sudo reboot

Je bent nu hellemaal klaar met de installatie van CouchPotato op Debian.

 

58 0

Sonarr installeren Debian via de command line

In deze handleiding Sonarr installeren Debian. Gaan we het programma Sonarr installeren via de command line.

De mono repository van Xamarin toevoegen. Zodat je zeker weet dat je de laatste van de Mono software krijgt.

sudo apt-key adv –keyserver hkp://keyserver.ubuntu.com:80 –recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
echo “deb http://download.mono-project.com/repo/debian wheezy main” | sudo tee /etc/apt/sources.list.d/mono-xamarin.list

Maak https installatie bron mogelijk.

sudo apt-get install apt-transport-https -y

Nu gaan we de Sonarr repository toevoegen.

sudo apt-key adv –keyserver keyserver.ubuntu.com –recv-keys FDA5DFFC
echo “deb https://apt.sonarr.tv/ master main” | sudo tee -a /etc/apt/sources.list

We moeten nu een update doen.

sudo apt-get update

Nu gaan we Sonarr downloaden en installeren.

sudo apt-get install nzbdrone -y

Rechten goed zetten. Op de Sonarr map.

sudo chown -R gebruikersnaam:gebruikersnaam /opt/NzbDrone

Sonarr starten om te kijken of het werkt.

mono /opt/NzbDrone/NzbDrone.exe

Je bent nu klaar met de installatie van Sonarr. En je kan Sonaar benaderen via http://ip.adres:8989

Sonarr Autostart Debian

Nu moeten we er nog voor zorgen dat Sonarr start tijdens het booten van Debian. Dat gaan we op de volgende manier doen.

We gaan nu een opstart script aanmaken.

sudo nano /etc/init.d/nzbdrone

Onderstaande plakken we hier in. Let op! Pas de Gebruikersnaam aan naar je eigen gebruikersnaam.

#! /bin/sh
### BEGIN INIT INFO
# Provides: NzbDrone script
### END INIT INFO

############### Bewerkt mij ##################
# path to app
APP_PATH=/opt/NzbDrone

# user
RUN_AS=Gebruikersnaam

# path to mono bin
DAEMON=/usr/bin/mono

# Path to store PID file
PID_FILE=/var/run/nzbdrone/nzbdrone.pid
PID_PATH=$(dirname $PID_FILE)

# script name
NAME=nzbdrone

# app name
DESC=NzbDrone

# startup args
EXENAME=”NzbDrone.exe”
DAEMON_OPTS=” “$EXENAME

############### Einde bewerk mij ##################

NZBDRONE_PID=`ps auxf | grep NzbDrone.exe | grep -v grep | awk ‘{print $2}’`

test -x $DAEMON || exit 0

set -e

#Look for PID and create if doesn’t exist
if [ ! -d $PID_PATH ]; then
mkdir -p $PID_PATH
chown $RUN_AS $PID_PATH
fi

if [ ! -d $DATA_DIR ]; then
mkdir -p $DATA_DIR
chown $RUN_AS $DATA_DIR
fi

if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if ! kill -0 $PID > /dev/null 2>&1; then
echo “Removing stale $PID_FILE”
rm $PID_FILE
fi
fi

echo $NZBDRONE_PID > $PID_FILE

case “$1” in
start)
if [ -z “${NZBDRONE_PID}” ]; then
echo “Starting $DESC”
rm -rf $PID_PATH || return 1
install -d –mode=0755 -o $RUN_AS $PID_PATH || return 1
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
else
echo “NzbDrone already running.”
fi
;;
stop)
echo “Stopping $DESC”
echo $NZBDRONE_PID > $PID_FILE
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
;;

restart|force-reload)
echo “Restarting $DESC”
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
;;
status)
# Use LSB function library if it exists
if [ -f /lib/lsb/init-functions ]; then
. /lib/lsb/init-functions
if [ -e $PID_FILE ]; then
status_of_proc -p $PID_FILE “$DAEMON” “$NAME” && exit 0 || exit $?
else
log_daemon_msg “$NAME is not running”
exit 3
fi

else
# Use basic functions
if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if kill -0 $PID > /dev/null 2>&1; then
echo ” * $NAME is running”
exit 0
fi
else
echo ” * $NAME is not running”
exit 3
fi
fi
;;
*)
N=/etc/init.d/$NAME
echo “Usage: $N {start|stop|restart|force-reload|status}” >&2
exit 1
;;
esac

exit 0

We sluiten nu dit bestand en slaan het op. CTRL +X en vervolgens Y. Om dit te bevestigen.

Nu moeten we het script uitvoerbaar maken.

sudo chmod +x /etc/init.d/nzbdrone

Nu voegen we je aan de opstart toe.

sudo update-rc.d nzbdrone defaults

Als het goed is gegaan moet onderstaande nu werken.

sudo service nzbdrone start

Je kan het voor de zekerheid ook testen door opnieuw te starten.

sudo reboot

Je bent nu klaar met het opstart script.

76 0

Deluge installeren Ubuntu via de command line

In deze handleiding Deluge installeren Ubuntu. Gaan we Deluge installeren op een computer met Ubuntu. Vervolgens gaan we ook een script opstart script maken voor Deluge.

We gaan als eerste de Deluge repositry toevoegen.

sudo add-apt-repository ppa:deluge-team/ppa

Nu de Software lijst updaten.

sudo apt-get update

Nu gaan we Deluge installeren.

sudo apt-get install deluged deluge-web -y

De installatie van Deluge is nu klaar. Je kan Deluge nu benaderen via http://ip-adres:58846

Deluge automatisch starten Ubuntu

Het is natuurlijk ook erg fijn als Deluge wordt gestart na een reboot. Dit gaan we dus nu instellen.

Opstart script aanmaken.

sudo nano /etc/init/deluged.conf

Kopieer en plak onderstaande in dit bestand.

# Delugue opstart script.
# Nzbusenet.com
description “Deluge daemon”
author “Deluge”

start on filesystem and static-network-up
stop on runlevel [016]

respawn
respawn limit 5 30

env uid=deluge
env gid=deluge
env umask=007

exec start-stop-daemon -S -c $uid:$gid -k $umask -x /usr/bin/deluged — -d -l /var/log/deluge/daemon.log -L warnin

Druk op CTRL+ X en vervolgens Y om dit te bevestigen.

Deluge wordt nu automatisch gestart als Ubuntu wordt gestart.

69 0

Sabznbd installeren Debian

In deze Sabznbd installeren Debian handleiding. Gaan we Sabznbd installeren op een computer met het Debian besturingssysteem.

Sabznbd Python installeren

Sabznbd is afhankelijk van Python.

We gaan Python installeren.

sudo apt-get install python-gdbm python-cheetah python-openssl par2 unzip -y

Als je gebruik maakt van Wheezy moet je Python 2.6 installeren.

sudo apt-get install python2.6 python-cheetah python-openssl par2 unzip -y

Sabnzbd installeren Debian

Controleren.

echo “deb http://ppa.launchpad.net/jcfp/ppa/ubuntu precise main” | tee -a /etc/apt/sources.list.d/sabnzbdplus.list

Repostry voor Sabnzbd toevoegen.

sudo apt-key adv –keyserver hkp://pool.sks-keyservers.net:11371 –recv-keys 0x98703123E0F52B2BE16D586EF13930B14BB9F05F

Een update doen.

sudo apt-get update

Updaten.

sudo apt-get upgrade -y

Sabznbd installeren en Python pip.

sudo apt-get install sabnzbdplus python-pip -y

Sabyenc installeren.

sudo pip install sabyenc

Je bent nu klaar met de installatie.

SAbnzbd autostart Debian

Het is natuurlijk erg handig als SAbznbd wordt gestart tijdens het opstarten van Debian.

sudo nano /etc/default/sabnzbdplus

Pas hier de username aan.

USER=username
HOST=0.0.0.0
PORT=8080

Druk tegelijk op de CTR + X toets. En vervolgens Y. Om Dit bestand op te slaan.

SAbznbd opnieuw starten.

sudo service sabnzbdplus restart

Bestand updaten.

sudo update-rc.d sabnzbdplus defaults

Sabnzbd wordt nu automatisch opgestart tijden het opstart proces.

 

123 0

Cardigann installeren Ubuntu via de command line

In deze handleiding Cardigann installeren Ubuntu via de command line. Ga ik je uitleggen hoe je Cardigann kan installeren op een Ubuntu computer. Via de command line.

We gaan map aanmaken voor Cardigann.

mkdir ./cardigann

We moeten de rechten hier goed op zetten. Let op! Gebruiker moet je eigen gebruikersnaam zijn.

sudo chown -R gebruiker:gebruiker ./cardigann

Download de laatste versie van Cardigann.

Je kan de laatste versie vinden op https://dl.equinox.io/cardigann/cardigann/stable Kopieer de link van de Lunix versie. En plak de link na wget.  Dus als voorbeeld.

wget https://bin.equinox.io/c/3u8U4iwUn6o/cardigann-stable-linux-amd64.tgz

Pak Cardigann uit. En plaats deze in de verborgen map van Cardigann.

tar -xf cardigann-stable-linux-amd64.tgz -C ./cardigann

We gaan nu naar de Cardigann map. En daarna starten we Cardigann op.

cd ./cardigann

Je kan nu Cardigann starten met het volgende commando.

./cardigann server –bind=”0.0.0.0″ –port=”5060″

Je kan Cardigann nu benaderen via http://je-ip.adres:5060

Cardigann autostart Ubuntu

Het is natuurlijk ook erg handig als Cardigann gestart wordt tijdens het opstarten van Ubuntu. Ik ga hier onder uitleggen hoe je dat voor elkaar krijgt.

Als je Cardigann hebt gestart druk dan op Ctrl+C toetsen. Zodat hij weer wordt afgesloten.

We gaan een Cardigann systemd configuration bestand aanmaken.

sudo nano /etc/systemd/system/cardigann.service

Het volgende kopiëren en plakken. En vervolgens aanpassen met je eigen gebruikersnaam.

[Unit]
Description=Cardigann Daemon
[Service]
User=Gebruikersnaam
Group=Groep
Type=simple
GuessMainPID=no
ExecStart=./cardigann/cardigann server –bind=”0.0.0.0″ –port=”5060″ –passphrase=”htpcguides”
Restart=always
RestartSec=120

[Install]
WantedBy=multi-user.target

Ctrl + X en dan Y om dit bestand op te slaan.

Cardigann systemd service actieveren.

sudo systemctl enable cardigann

Cardigann starten.

sudo service cardigann start

Je kan ook stop of restart gebruiken. Dus sudo service cardigann stop bijvoorbeeld.

De installatie van Cardigann is nu klaar.

103 0